Get Pending CBDC Requests
get
{baseUrl}/v1/{contractAddress}/{ordsPathPrefix}/getPendingCBDCRequest
Retrieves pending CBDC requests of the specified type. Generated from `ORDS GET /getPendingCBDCRequest`.
Request
Path Parameters
-
contractAddress(required): string
Path parameter
-
ordsPathPrefix(required): string
Path parameter
Query Parameters
Header Parameters
-
X-Service-Token(required): string
Service token forwarded to ORDS as the Authorization header.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
The queried record.
Nested Schema : items
Type:
Show Source
object-
blockno: number
-
blocktimestamp: string
(date-time)
Pattern:
^\d{4}-[01]\d-[0123]\dT[012]\d:[0-5]\d:[0-5]\d(.\d+)?(Z|([-+][012]\d:[0-5]\d))$ -
category: string
-
description: string
-
expiration_time: string
-
from_account_id: string
-
functionname: string
-
holding_id: string
-
notary_account_id: string
-
op_type: string
-
original_quantity: string
-
quantity: string
-
status: string
-
status_label: string
-
storage_key: string
-
to_account_id: string
-
token_id: string
-
token_name: string
-
txnhash: string
-
txnno: number
400 Response
The wrapper rejected the request before it could complete a downstream call.
502 Response
The wrapper could not complete the downstream call.
Default Response
ORDS upstream status, content type, and response body are passed through unchanged.